## org.mortbay.jetty.servlet
Class Dispatcher

    java.lang.Object
      org.mortbay.jetty.servlet.Dispatcher

All Implemented Interfaces:
  javax.servlet.RequestDispatcher

    public class Dispatcher

extends java.lang.Object
implements javax.servlet.RequestDispatcher

Servlet RequestDispatcher.

Author:
  Greg Wilkins (gregw)

Field Summary
`static java.lang.String` `__FORWARD_CONTEXT_PATH`
`static java.lang.String` `__FORWARD_JETTY` Dispatch include attribute names
`static java.lang.String` `__FORWARD_PATH_INFO`
`static java.lang.String` `__FORWARD_PREFIX`
`static java.lang.String` `__FORWARD_QUERY_STRING`
`static java.lang.String` `__FORWARD_REQUEST_URI`
`static java.lang.String` `__FORWARD_SERVLET_PATH`
`static java.lang.String` `__INCLUDE_CONTEXT_PATH`
`static java.lang.String` `__INCLUDE_JETTY` Dispatch include attribute names
`static java.lang.String` `__INCLUDE_PATH_INFO`
`static java.lang.String` `__INCLUDE_PREFIX`
`static java.lang.String` `__INCLUDE_QUERY_STRING`
`static java.lang.String` `__INCLUDE_REQUEST_URI`
`static java.lang.String` `__INCLUDE_SERVLET_PATH`
`static java.lang.String` `__JSP_FILE` JSP attributes

Constructor Summary
`Dispatcher(ContextHandler contextHandler, java.lang.String name)` Constructor.
`Dispatcher(ContextHandler contextHandler, java.lang.String uri, java.lang.String pathInContext, java.lang.String query)`

Method Summary
`void` `error(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void` `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`protected void` `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, int dispatch)`
`void` `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`static int` `type(java.lang.String type)` Dispatch type from name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __INCLUDE_JETTY

    public static final java.lang.String __INCLUDE_JETTY

  Dispatch include attribute names

  See Also:
    Constant Field Values

### __INCLUDE_PREFIX

    public static final java.lang.String __INCLUDE_PREFIX

See Also:
  Constant Field Values

### __INCLUDE_REQUEST_URI

    public static final java.lang.String __INCLUDE_REQUEST_URI

See Also:
  Constant Field Values

### __INCLUDE_CONTEXT_PATH

    public static final java.lang.String __INCLUDE_CONTEXT_PATH

See Also:
  Constant Field Values

### __INCLUDE_SERVLET_PATH

    public static final java.lang.String __INCLUDE_SERVLET_PATH

See Also:
  Constant Field Values

### __INCLUDE_PATH_INFO

    public static final java.lang.String __INCLUDE_PATH_INFO

See Also:
  Constant Field Values

### __INCLUDE_QUERY_STRING

    public static final java.lang.String __INCLUDE_QUERY_STRING

See Also:
  Constant Field Values

### __FORWARD_JETTY

    public static final java.lang.String __FORWARD_JETTY

  Dispatch include attribute names

  See Also:
    Constant Field Values

### __FORWARD_PREFIX

    public static final java.lang.String __FORWARD_PREFIX

See Also:
  Constant Field Values

### __FORWARD_REQUEST_URI

    public static final java.lang.String __FORWARD_REQUEST_URI

See Also:
  Constant Field Values

### __FORWARD_CONTEXT_PATH

    public static final java.lang.String __FORWARD_CONTEXT_PATH

See Also:
  Constant Field Values

### __FORWARD_SERVLET_PATH

    public static final java.lang.String __FORWARD_SERVLET_PATH

See Also:
  Constant Field Values

### __FORWARD_PATH_INFO

    public static final java.lang.String __FORWARD_PATH_INFO

See Also:
  Constant Field Values

### __FORWARD_QUERY_STRING

    public static final java.lang.String __FORWARD_QUERY_STRING

See Also:
  Constant Field Values

### __JSP_FILE

    public static final java.lang.String __JSP_FILE

  JSP attributes

  See Also:
    Constant Field Values

Constructor Detail

### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
                      java.lang.String uri,
                      java.lang.String pathInContext,
                      java.lang.String query)

Parameters:
  `contextHandler` -
  `uriInContext` -
  `pathInContext` -
  `query` -

### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
                      java.lang.String name)
               throws java.lang.IllegalStateException

  Constructor.

  Parameters:
    `servletHandler` -
    `name` -
  Throws:
    `java.lang.IllegalStateException`

Method Detail

### type

    public static int type(java.lang.String type)

  Dispatch type from name

### forward

    public void forward(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `forward` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### error

    public void error(javax.servlet.ServletRequest request,
                      javax.servlet.ServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### include

    public void include(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `include` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### forward

    protected void forward(javax.servlet.ServletRequest request,
                           javax.servlet.ServletResponse response,
                           int dispatch)
                    throws javax.servlet.ServletException,
                           java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.